# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3 rpm-macros-fedora-compat
# END SourceDeps(oneline)
%define oldname python-py2pack
%define fedora 19
%if (0%{?fedora} > 12 || 0%{?rhel} > 6)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

#doesn't support python3 at this time
%global with_python3 0

%define mod_name py2pack

Name:           python-module-py2pack
Version:        0.3.17
Release:        alt1_4
Url:            http://github.com/saschpe/py2pack
Summary:        Generate distribution packages from Python packages on PyPI
License:        GPLv2
Group:          Development/Python
Source:         http://pypi.python.org/packages/source/p/%{mod_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-jinja2
%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires: python3-module-jinja2 python3-module-jinja2-tests
%endif # with_python3
Source44: import.info

%description
This script allows to generate RPM spec or DEB dsc files from Python modules.
It allows to list Python modules or search for them on the Python Package Index
(PyPI). Conveniently, it can fetch tarballs and change logs making it an
universal tool to package Python modules.

%if 0%{?with_python3}
%package -n python3-module-py2pack
Summary:        General purpose template engine
Group:          Development/Python
Requires:       python3-argparse
Requires: python3-module-jinja2 python3-module-jinja2-tests

%description -n python3-module-py2pack
This script allows to generate RPM "spec" or DEB "dsc" files from Python modules.
It allows to list Python modules or search for them on the Python Package Index
(PyPI). Conveniently, it can fetch tarballs and change logs making it an
universal tool to package Python modules.
%endif #with_python3

%prep
%setup -q -n %{mod_name}-%{version}

%if 0%{?with_python3}
rm -rf %{_builddir}/python3-%{oldname}-%{version}-%{release}
cp -a . %{_builddir}/python3-%{oldname}-%{version}-%{release}
find %{_builddir}/python3-%{oldname}-%{version}-%{release} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif # with_python3

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python}|'

%build
CFLAGS="$RPM_OPT_FLAGS"  %{__python} setup.py build

%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build
popd
%endif # with_python3

%install
%{__python} setup.py install -O1 --skip-build --prefix %{_prefix} --root %{buildroot}
# The setup script installs stuff into '/usr/local', move stuff around accordingly
install -d %{buildroot}%{_mandir}/man1
mv %{buildroot}/usr/man/man1/%{mod_name}.* %{buildroot}%{_mandir}/man1
chmod 0644 %{buildroot}%{_mandir}/man1/*
install -d %{buildroot}%{_docdir}/%{oldname}
mv %{buildroot}/%{_docdir}/%{mod_name} %{buildroot}%{_docdir}/%{oldname}
chmod 0755 %{buildroot}/%{_bindir}/* %{buildroot}/%{python_sitelibdir_noarch}/%{mod_name}/%{mod_name}*

%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py install -O1 --skip-build --prefix %{__prefix} --root %{buildroot}
# The setup script installs stuff into '/usr/local', move stuff around accordingly
install -d %{buildroot}%{_mandir}/man1
mv %{buildroot}/usr/man/man1/%{mod_name}.* %{buildroot}%{_mandir}/man1
chmod 0644 %{buildroot}%{_mandir}/man1/*
install -d %{buildroot}%{_docdir}/%{oldname}
mv %{buildroot}/%{_docdir}/%{mod_name} %{buildroot}%{_docdir}/%{oldname}
chmod 0755 %{buildroot}/%{_bindir}/* %{buildroot}/%{python_sitelibdir_noarch}/%{mod_name}/%{mod_name}*
popd
%endif # with_python3


%files
%{_docdir}/%{oldname}
%{_mandir}/man1/%{mod_name}.*
%{_bindir}/%{mod_name}
%{python_sitelibdir_noarch}/%{mod_name}*

%if 0%{?with_python3}
%files -n python3-module-py2pack
%{_docdir}/%{oldname}
%{_mandir}/man1/%{mod_name}.*
%{_bindir}/%{mod_name}
%{python3_sitelibdir_noarch}/%{mod_name}*
%endif # with_python3


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.17-alt1_4
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.3.17-alt1_3
- initial fc import

